Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Component

    java.lang.Object
      org.hibernate.mapping.SimpleValue
          org.hibernate.mapping.Component

All Implemented Interfaces:
  Serializable, KeyValue, MetaAttributable, Value

    public class Component

extends SimpleValue
implements MetaAttributable

The mapping for a component, composite element, composite identifier, etc.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`Component(Collection collection)`
`Component(Component component)`
`Component(Join join)`
`Component(PersistentClass owner)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`void` | `addColumn(Column column)`
`void` | `addProperty(Property p)`
`void` | `addTuplizer(EntityMode entityMode, String implClassName)`
`boolean[]` | `getColumnInsertability()`
`Iterator` | `getColumnIterator()`
`int` | `getColumnSpan()`
`boolean[]` | `getColumnUpdateability()`
`Class` | `getComponentClass()`
`String` | `getComponentClassName()`
`MetaAttribute` | `getMetaAttribute(String attributeName)`
`Map` | `getMetaAttributes()`
`String` | `getNodeName()`
`PersistentClass` | `getOwner()`
`String` | `getParentProperty()`
`Property` | `getProperty(String propertyName)`
`Iterator` | `getPropertyIterator()`
`int` | `getPropertySpan()`
`String` | `getRoleName()`
`String` | `getTuplizerImplClassName(EntityMode mode)`
`Map` | `getTuplizerMap()`
`Type` | `getType()`
`boolean` | `hasPojoRepresentation()`
`boolean` | `isDynamic()`
`boolean` | `isEmbedded()`
`boolean` | `isKey()`
`void` | `setComponentClassName(String componentClass)`
`void` | `setDynamic(boolean dynamic)`
`void` | `setEmbedded(boolean embedded)`
`void` | `setKey(boolean isKey)`
`void` | `setMetaAttributes(Map metas)`
`void` | `setNodeName(String nodeName)`
`void` | `setOwner(PersistentClass owner)`
`void` | `setParentProperty(String parentProperty)`
`void` | `setRoleName(String roleName)`
`void` | `setTypeByReflection(String propertyClass, String propertyName)`
`void` | `setTypeUsingReflection(String className, String propertyName)`
`String` | `toString()`

Methods inherited from class org.hibernate.mapping.SimpleValue
`addFormula, createForeignKey, createForeignKeyOfEntity, createIdentifierGenerator, getConstraintColumns, getFetchMode, getForeignKeyName, getIdentifierGeneratorProperties, getIdentifierGeneratorStrategy, getNullValue, getTable, getTypeName, getTypeParameters, hasFormula, isAlternateUniqueKey, isCascadeDeleteEnabled, isIdentityColumn, isNullable, isSimpleValue, isTypeSpecified, isUpdateable, isValid, setAlternateUniqueKey, setCascadeDeleteEnabled, setForeignKeyName, setIdentifierGeneratorProperties, setIdentifierGeneratorStrategy, setNullValue, setTable, setTypeName, setTypeParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Component

    public Component(PersistentClass owner)
              throws MappingException

Throws:
  `MappingException`

### Component

    public Component(Component component)
              throws MappingException

Throws:
  `MappingException`

### Component

    public Component(Join join)
              throws MappingException

Throws:
  `MappingException`

### Component

    public Component(Collection collection)
              throws MappingException

Throws:
  `MappingException`

Method Detail

### getPropertySpan

    public int getPropertySpan()

### getPropertyIterator

    public Iterator getPropertyIterator()

### addProperty

    public void addProperty(Property p)

### addColumn

    public void addColumn(Column column)

  Overrides:
    `addColumn` in class `SimpleValue`

### getColumnSpan

    public int getColumnSpan()

  Specified by:
    `getColumnSpan` in interface `Value`
  Overrides:
    `getColumnSpan` in class `SimpleValue`

### getColumnIterator

    public Iterator getColumnIterator()

  Specified by:
    `getColumnIterator` in interface `Value`
  Overrides:
    `getColumnIterator` in class `SimpleValue`

### setTypeByReflection

    public void setTypeByReflection(String propertyClass,
                                    String propertyName)

### isEmbedded

    public boolean isEmbedded()

### getComponentClassName

    public String getComponentClassName()

### getComponentClass

    public Class getComponentClass()
                            throws MappingException

  Throws:
    `MappingException`

### getOwner

    public PersistentClass getOwner()

### getParentProperty

    public String getParentProperty()

### setComponentClassName

    public void setComponentClassName(String componentClass)

### setEmbedded

    public void setEmbedded(boolean embedded)

### setOwner

    public void setOwner(PersistentClass owner)

### setParentProperty

    public void setParentProperty(String parentProperty)

### isDynamic

    public boolean isDynamic()

### setDynamic

    public void setDynamic(boolean dynamic)

### getType

    public Type getType()
                 throws MappingException

  Specified by:
    `getType` in interface `Value`
  Overrides:
    `getType` in class `SimpleValue`
  Throws:
    `MappingException`

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)
                                throws MappingException

  Specified by:
    `setTypeUsingReflection` in interface `Value`
  Overrides:
    `setTypeUsingReflection` in class `SimpleValue`
  Throws:
    `MappingException`

### getMetaAttributes

    public Map getMetaAttributes()

  Specified by:
    `getMetaAttributes` in interface `MetaAttributable`

### getMetaAttribute

    public MetaAttribute getMetaAttribute(String attributeName)

  Specified by:
    `getMetaAttribute` in interface `MetaAttributable`

### setMetaAttributes

    public void setMetaAttributes(Map metas)

  Specified by:
    `setMetaAttributes` in interface `MetaAttributable`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `SimpleValue`

### getColumnInsertability

    public boolean[] getColumnInsertability()

  Specified by:
    `getColumnInsertability` in interface `Value`
  Overrides:
    `getColumnInsertability` in class `SimpleValue`

### getColumnUpdateability

    public boolean[] getColumnUpdateability()

  Specified by:
    `getColumnUpdateability` in interface `Value`
  Overrides:
    `getColumnUpdateability` in class `SimpleValue`

### getNodeName

    public String getNodeName()

### setNodeName

    public void setNodeName(String nodeName)

### isKey

    public boolean isKey()

### setKey

    public void setKey(boolean isKey)

### hasPojoRepresentation

    public boolean hasPojoRepresentation()

### addTuplizer

    public void addTuplizer(EntityMode entityMode,
                            String implClassName)

### getTuplizerImplClassName

    public String getTuplizerImplClassName(EntityMode mode)

### getTuplizerMap

    public Map getTuplizerMap()

### getProperty

    public Property getProperty(String propertyName)
                         throws MappingException

  Throws:
    `MappingException`

### getRoleName

    public String getRoleName()

### setRoleName

    public void setRoleName(String roleName)

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD